Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 574)
+++ trunk/MagicSoft/Mars/Changelog	(revision 584)
@@ -1,135 +1,148 @@
-                                                               -*-*- END -*-*-
+                                                                  -*-*- END -*-*-
+
+ 2000/01/19: Thomas Bretz
+
+    * mmc/*.hxx:
+       - changed include of MDefineTrigger.h back
+
+
+ 2000/01/19: Oscar Blanch
+
+    * mmc/MTriggerDefine.h:
+       - added
+
+
  2000/01/18: Thomas Bretz
- 
- * Makefile:
-    - mmc-library added
- 
- * Makefile.conf.general:
-    - Added definition of __MARS__
-    
- * Makefile.rules:
-    - Added definitions to rootcint
- 
- * Oscar added the McFormat subdir of the Monte Carlo as mmc
- 
- * mmc/MMcEvt.h:
-    - renamed to MMcEvt.hxx
- 
- * mmc/*.hxx:
-    - added necessary defintions from MDefineTrigger.h
- 
- * mmc/Makefile, mmc/McLinkDef.h, mmc/McIncl.h, mmc/readme.txt:
-    - added
-    
- * mmc/LinkDef.h:
-    - removed
-    
+
+    * Makefile:
+       - mmc-library added
+
+    * Makefile.conf.general:
+       - Added definition of __MARS__
+
+    * Makefile.rules:
+       - Added definitions to rootcint
+
+    * Oscar added the McFormat subdir of the Monte Carlo as mmc
+
+    * mmc/MMcEvt.h:
+       - renamed to MMcEvt.hxx
+
+    * mmc/*.hxx:
+       - added necessary defintions from MDefineTrigger.h
+
+    * mmc/Makefile, mmc/McLinkDef.h, mmc/McIncl.h, mmc/readme.txt:
+       - added
+
+    * mmc/LinkDef.h:
+       - removed
+
 
  2000/01/17: Thomas Bretz
- 
- * Makefile:
-    - Exchanged explicit rules to make library by implicit ones
-    - The shared object works now. I exchanged the libraries with the object files.
-      But I don't know why the libraries don't work.
-      
- * Makefile.conf.linux-gnu:
-    - replaced CC with gcc (instead of g++)
-    
- * mdatacheck/DataCheckLinkDef.h:
-    - removed unused statements
-    
- * mraw/RawLinkDef.h:
-    - added globals
-    
- * mraw/MerppLinkDef.h:
-    - removed unused file
- 
- 
+
+    * Makefile:
+       - Exchanged explicit rules to make library by implicit ones
+       - The shared object works now. I exchanged the libraries with the object
+         files. But I don't know why the libraries don't work.
+
+    * Makefile.conf.linux-gnu:
+       - replaced CC with gcc (instead of g++)
+
+    * mdatacheck/DataCheckLinkDef.h:
+       - removed unused statements
+
+    * mraw/RawLinkDef.h:
+       - added globals
+
+    * mraw/MerppLinkDef.h:
+       - removed unused file
+
+
  2000/01/12: Thomas Bretz
- 
- * MLinkDef.h, MIncl.h, marslogo.xpm, magiclogo.xpm:
-    - added
-    
- * LinkDef.h:
-    - removed
-    
- * Makefile: 
-    - Added CINT, mrproper
- 
- * mbase/Makefile, mraw/Makefile, mgui/Makefile, mdatacheck/Makefile:
-    - included makefile.general, Makefile.rules, 
-    - removes corresponding lines
- 
- * mdatacheck/MDumpEvtHeader.[h,cc], mdatacheck/MFillAdcSpect.[cc,h],
-   mdatacheck/MFillAdcSpect.[h,cc], mdatacheck/MGDisplayAdc.[cc,h],
-   mdatacheck/MHistsosAdc.[h,cc], mdatacheck.MShowSpect.[cc,h]
-    - changed include statements
- 
- * mgui/MGDataCheckMain.[cc,h], mgui/MGMarsMain.[cc,h]
-    - changed include statements
-    - move enum from h to cc
-    - removed comma operator from delete statements (nonsense)
+
+    * MLinkDef.h, MIncl.h, marslogo.xpm, magiclogo.xpm:
+       - added
+
+    * LinkDef.h:
+       - removed
+
+    * Makefile:
+       - Added CINT, mrproper
+
+    * mbase/Makefile, mraw/Makefile, mgui/Makefile, mdatacheck/Makefile:
+       - included makefile.general, Makefile.rules,
+       - removes corresponding lines
+
+    * mdatacheck/MDumpEvtHeader.[h,cc], mdatacheck/MFillAdcSpect.[cc,h],
+      mdatacheck/MFillAdcSpect.[h,cc], mdatacheck/MGDisplayAdc.[cc,h],
+      mdatacheck/MHistsosAdc.[h,cc], mdatacheck.MShowSpect.[cc,h]
+       - changed include statements
+
+    * mgui/MGDataCheckMain.[cc,h], mgui/MGMarsMain.[cc,h]
+       - changed include statements
+       - move enum from h to cc
+       - removed comma operator from delete statements (nonsense)
 
 
  2001/01/11: Harald Kornmayer
 
- * ./
-   readraw.cc, Makefile, Makefile.rules, LinkDef.h, MParList.cc, MReadTree.cc, 
-   MReadTree.h, mbase/Makefile, mraw/Makefile	   
-    - small changes in this files. Not really critical. 
+    * ./
+      readraw.cc, Makefile, Makefile.rules, LinkDef.h, MParList.cc, MReadTree.cc,
+      MReadTree.h, mbase/Makefile, mraw/Makefile
+       - small changes in this files. Not really critical.
 
- * mars.cc 
-    - added the main file for the gui
+    * mars.cc
+       - added the main file for the gui
 
- * mgui/
-   GuiIncl.h, MGMarsMain.cc, GuiLinkDef.h, MGMarsMain.h, MGDataCheckMain.cc,
-   Makefile, MGDataCheckMain.h
-    - added the subdir mgui and this files 
+    * mgui/
+      GuiIncl.h, MGMarsMain.cc, GuiLinkDef.h, MGMarsMain.h, MGDataCheckMain.cc,
+      Makefile, MGDataCheckMain.h
+       - added the subdir mgui and this files
 
- * mdatacheck/
-   DataCheckIncl.h, DataCheckLinkDef.h, MHistosAdc.cc, MHistosAdc.h, 
-   MDumpEvtHeader.cc, MDumpEvtHeader.h, MShowSpect.cc, MShowSpect.h,
-   MFillAdcSpect.cc, MFillAdcSpect.h, MViewAdcSpectra.cc, MViewAdcSpectra.h,
-   MGDisplayAdc.cc, MGDisplayAdc.h, Makefile
-    - added the subdir mdatacheck and this files
+    * mdatacheck/
+      DataCheckIncl.h, DataCheckLinkDef.h, MHistosAdc.cc, MHistosAdc.h,
+      MDumpEvtHeader.cc, MDumpEvtHeader.h, MShowSpect.cc, MShowSpect.h,
+      MFillAdcSpect.cc, MFillAdcSpect.h, MViewAdcSpectra.cc, MViewAdcSpectra.h,
+      MGDisplayAdc.cc, MGDisplayAdc.h, Makefile
+       - added the subdir mdatacheck and this files
 
-     	
+
  2000/12/28: Thomas Bretz
-  
- * merpp.cc, MArray.cc, MArray.h, MArrayB.cc, MArrayB.h, MArrayS.cc,
-   MArrayS.h, MEvtLoop.cc, MEvtLoop.h, MInputStreamID.cc, MInputStreamID.h, 
-   MParContainer.cc, MParContainer.h, MParList.cc, MParList.h, MReadTree.cc, 
-   MTask.cc, MTask.h, MTaskList.cc, MTaskList.h, MTime.cc, MTime.h:
-    - Added changes some comments.
-    
- * MLoopEvt.cc, MLoopEvt.h:
-    - Removed
+
+    * merpp.cc, MArray.cc, MArray.h, MArrayB.cc, MArrayB.h, MArrayS.cc,
+      MArrayS.h, MEvtLoop.cc, MEvtLoop.h, MInputStreamID.cc, MInputStreamID.h,
+      MParContainer.cc, MParContainer.h, MParList.cc, MParList.h, MReadTree.cc,
+      MTask.cc, MTask.h, MTaskList.cc, MTaskList.h, MTime.cc, MTime.h:
+       - Added changes some comments.
+
+    * MLoopEvt.cc, MLoopEvt.h:
+       - Removed
 
 
  2000/12/22 - Thomas Bretz:
- 
- * readraw.cc: 
-    - changed some comments and the Root-Name of the program
-    - added check for the existance of the file
-    - changed name of numbers of entries from iEnt to nent
 
- * dohtml.C:
-    - changed title of converted macros
-    
- * MRawEvtData.cc:
-    - added a commet in Draw()
-    
- * MRawEvtPixelIter.[h,cc]:
-    - Added the comment header of the file
-    - removed inheritance from TIterator (not needed)
-    - some changes to get it work (the one in the repository was untested 
-      and not working)
-    - changed calling style of iterator from do...while to while-loop
-    - changed some comments
-    
- * MRawRunHeader.cc:
-    - added some comments
+    * readraw.cc:
+       - changed some comments and the Root-Name of the program
+       - added check for the existance of the file
+       - changed name of numbers of entries from iEnt to nent
 
- * Changelog, News: added
- 
- * test.C: removed
+    * dohtml.C:
+       - changed title of converted macros
+
+    * MRawEvtData.cc:
+       - added a commet in Draw()
+
+    * MRawEvtPixelIter.[h,cc]:
+       - Added the comment header of the file
+       - removed inheritance from TIterator (not needed)
+       - some changes to get it work (the one in the repository was untested
+         and not working)
+       - changed calling style of iterator from do...while to while-loop
+       - changed some comments
+
+    * MRawRunHeader.cc:
+       - added some comments
+
+    * Changelog, News: added
+
+    * test.C: removed